org.jboss.resteasy.spi.metadata

## Class ResourceBuilder.ResourceMethodBuilder

- java.lang.Object
- - org.jboss.resteasy.spi.metadata.ResourceBuilder.ResourceLocatorBuilder<ResourceBuilder.ResourceMethodBuilder>
  - - org.jboss.resteasy.spi.metadata.ResourceBuilder.ResourceMethodBuilder

- Enclosing class:
    ResourceBuilder

      public static class ResourceBuilder.ResourceMethodBuilder
      extends ResourceBuilder.ResourceLocatorBuilder<ResourceBuilder.ResourceMethodBuilder>

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResourceBuilder.ResourceClassBuilder` | `buildMethod()`
    `ResourceBuilder.ResourceMethodBuilder` | `consumes(MediaType... consumes)`
    `ResourceBuilder.ResourceMethodBuilder` | `consumes(String... consumes)`
    `ResourceBuilder.ResourceMethodBuilder` | `delete()`
    `ResourceBuilder.ResourceMethodBuilder` | `get()`
    `ResourceBuilder.ResourceMethodBuilder` | `head()`
    `ResourceBuilder.ResourceMethodBuilder` | `httpMethod(String httpMethod)`
    `ResourceBuilder.ResourceMethodBuilder` | `options()`
    `ResourceBuilder.ResourceMethodParameterBuilder` | `param(int i)`
    `protected MediaType[]` | `parseMediaTypes(String[] produces)`
    `ResourceBuilder.ResourceMethodBuilder` | `post()`
    `ResourceBuilder.ResourceMethodBuilder` | `produces(MediaType... produces)`
    `ResourceBuilder.ResourceMethodBuilder` | `produces(String... produces)`
    `ResourceBuilder.ResourceMethodBuilder` | `put()`

    - ### Methods inherited from class org.jboss.resteasy.spi.metadata.ResourceBuilder.ResourceLocatorBuilder

      `genericReturnType, path, returnType, returnType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### httpMethod

          public ResourceBuilder.ResourceMethodBuilder httpMethod(String httpMethod)

    - #### get

          public ResourceBuilder.ResourceMethodBuilder get()

    - #### put

          public ResourceBuilder.ResourceMethodBuilder put()

    - #### post

          public ResourceBuilder.ResourceMethodBuilder post()

    - #### delete

          public ResourceBuilder.ResourceMethodBuilder delete()

    - #### options

          public ResourceBuilder.ResourceMethodBuilder options()

    - #### head

          public ResourceBuilder.ResourceMethodBuilder head()

    - #### produces

          public ResourceBuilder.ResourceMethodBuilder produces(MediaType... produces)

    - #### produces

          public ResourceBuilder.ResourceMethodBuilder produces(String... produces)

    - #### parseMediaTypes

          protected MediaType[] parseMediaTypes(String[] produces)

    - #### consumes

          public ResourceBuilder.ResourceMethodBuilder consumes(MediaType... consumes)

    - #### consumes

          public ResourceBuilder.ResourceMethodBuilder consumes(String... consumes)

    - #### param

          public ResourceBuilder.ResourceMethodParameterBuilder param(int i)

      Overrides:
        `param` in class `ResourceBuilder.ResourceLocatorBuilder<ResourceBuilder.ResourceMethodBuilder>`

    - #### buildMethod

          public ResourceBuilder.ResourceClassBuilder buildMethod()

      Overrides:
        `buildMethod` in class `ResourceBuilder.ResourceLocatorBuilder<ResourceBuilder.ResourceMethodBuilder>`

Copyright © 2014. All Rights Reserved.